Gentoo Archives: gentoo-commits

From: "Manuel Rüger" <mrueg@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/kubectl/
Date: Fri, 11 Jan 2019 14:26:28
Message-Id: 1547216766.709360fbd5fcf285e414f0005e2ef419fa2be9e3.mrueg@gentoo
commit:     709360fbd5fcf285e414f0005e2ef419fa2be9e3
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 11 14:26:06 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Fri Jan 11 14:26:06 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=709360fb

sys-cluster/kubectl: Version bump to 1.13.2

Package-Manager: Portage-2.3.54, Repoman-2.3.12
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 sys-cluster/kubectl/Manifest              |  1 +
 sys-cluster/kubectl/kubectl-1.13.2.ebuild | 47 +++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/sys-cluster/kubectl/Manifest b/sys-cluster/kubectl/Manifest
index c2971b30ff5..68f8b99e36e 100644
--- a/sys-cluster/kubectl/Manifest
+++ b/sys-cluster/kubectl/Manifest
@@ -5,4 +5,5 @@ DIST kubernetes-1.11.6.tar.gz 24827575 BLAKE2B 095adccef1b5618f7e5d3a46cbf835f10
 DIST kubernetes-1.12.3.tar.gz 28042821 BLAKE2B 79c2020608e4e94532b2d525c2c68dfbf9e7660f9047a215675e24f08eb00d145155ea09d9b05f92732c964d47c65138ea9170f6e8fd13ff9d63208a78b60f7d SHA512 6c4ef50240626f97246ed71229463e3649f42674d64bca3a8171728f67807cd0509da9156f53d0e7a8d4967e081cff0f03e0e1469ce5c81313eff67201d49b72
 DIST kubernetes-1.12.4.tar.gz 28064009 BLAKE2B 96cb269796628cde2665cb17bd6918d51a8d2cdebdaf75c65e352beebf7da4bee5da311ddf93931250471e46dd30dbd238727716542c688f364b1f14578d9146 SHA512 f7135a2dd7dac19512db13c0e72264b32c07f4a2f9fbc3573e31fa346415c99738446bd48463c3dd9bee3a716e040dd0c9e681c970603507649eefceca5926d7
 DIST kubernetes-1.13.1.tar.gz 28715812 BLAKE2B f51d456264348cc89aa00b6bbda2c90acfc881ff9d9ff80af77a405c3cf302626e8be96c3bec1f7f3f4df3250e48d02778c1918320484acb7827e8f411ab4bda SHA512 95a5558c9ae2b1e8207d76157f4f52d17236c6aa315ca4c7cac0f18fbe59b061156c05a5d886321b589a6cb675c142754e48f9e0ca7e966116749a32120e92c7
+DIST kubernetes-1.13.2.tar.gz 28771642 BLAKE2B 4a5c5a8e0c05faab3fb6a26854e7c8643b893c2a1f5d5b56aacea869d86426dffe358222034b826d66dfd19855bee71cad7356ff483c27218019e4adda499ce7 SHA512 2f24119fc21d7bdbb60174b46da94ce3f2f6a3c638e9d96323c93c20039aeb06f9c9a3a48c43bb36b71eff25cf72967e780e3339b35ad7ad7a7a7c35662c96bd
 DIST kubernetes-1.9.11.tar.gz 23606810 BLAKE2B 19d30d2cadaf5b95f919e82670b1a8e1d5e2b80a4134dbc5c6afcc23d06dee8392f63d80b59ebfbbbf3a4bcce0dc2d81b1d560c3b3b1910350efed35ee77fbbc SHA512 87881d7dd7e0b3e46dc92f3160410fdf9e7ec1f0cbc3ef99da84b808c3813a3a2d843d49e2b501ee3eb8c9db3564f62c72eecaf5dc1917051e81c106bc80a9ba

diff --git a/sys-cluster/kubectl/kubectl-1.13.2.ebuild b/sys-cluster/kubectl/kubectl-1.13.2.ebuild
new file mode 100644
index 00000000000..93cda65f0ea
--- /dev/null
+++ b/sys-cluster/kubectl/kubectl-1.13.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot bash-completion-r1
+
+EGO_PN="k8s.io/kubernetes"
+ARCHIVE_URI="https://github.com/kubernetes/kubernetes/archive/v${PV}.tar.gz -> kubernetes-${PV}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="CLI to run commands against Kubernetes clusters"
+HOMEPAGE="https://github.com/kubernetes/kubernetes https://kubernetes.io"
+SRC_URI="${ARCHIVE_URI}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=dev-lang/go-1.11
+	dev-go/go-bindata"
+
+RESTRICT="test"
+
+src_prepare() {
+	default
+	sed -i -e "/vendor\/github.com\/jteeuwen\/go-bindata\/go-bindata/d" -e "s/-s -w/-w/" src/${EGO_PN}/hack/lib/golang.sh || die
+	sed -i -e "/export PATH/d" src/${EGO_PN}/hack/generate-bindata.sh || die
+}
+
+src_compile() {
+	LDFLAGS="" GOPATH="${WORKDIR}/${P}" emake -j1 -C src/${EGO_PN} WHAT=cmd/${PN} GOFLAGS=-v
+	pushd src/${EGO_PN} || die
+	_output/bin/${PN} completion bash > ${PN}.bash || die
+	_output/bin/${PN} completion zsh > ${PN}.zsh || die
+	popd || die
+}
+
+src_install() {
+	pushd src/${EGO_PN} || die
+	dobin _output/bin/${PN}
+
+	newbashcomp ${PN}.bash ${PN}
+	insinto /usr/share/zsh/site-functions
+	newins ${PN}.zsh _${PN}
+
+	popd || die
+}